Bug 1818141 - How to include a vendor plugin container image [OSP 16.1.x]
Summary: How to include a vendor plugin container image [OSP 16.1.x]
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: documentation
Version: 14.0 (Rocky)
Hardware: Unspecified
OS: Unspecified
high
urgent
Target Milestone: ---
: ---
Assignee: Laura Marsh
QA Contact: Tzach Shefi
URL:
Whiteboard: docs-accepted
Depends On: 1687740 1730001 1740882
Blocks: 1730000
TreeView+ depends on / blocked
 
Reported: 2020-03-27 20:10 UTC by Laura Marsh
Modified: 2021-03-26 14:59 UTC (History)
14 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1730001
Environment:
Last Closed: 2021-03-26 14:59:35 UTC
Target Upstream Version:
lmarsh: needinfo-
lmarsh: needinfo-


Attachments (Terms of Use)

Comment 1 Bertrand 2020-03-28 09:33:53 UTC
Hi Laura,

We should consider looking at other "plugin" like Neutron and not only Cinder.
Might be good to have a dedicated BZ for it and update the title to reflect this BZ focuses may be on Cinder

Sincerely,
Bertrand

Comment 2 Alan Bishop 2020-03-30 15:48:47 UTC
I want expand even further on Bertrand's comment. The general topic is the procedure for specifying container images in the deployment, with plugins being just a use case. So I agree that we should not approach the doc task from a narrow perspective of documenting cinder plugins. I feel the existing documentation (e.g. [1] and [2]) doesn't provide sufficient context to help the reader understand its purpose. From what I can tell based on a meeting I had with one partner, they have trouble connecting the dots from "I have a plugin I wish to deploy" to the notion of using [2] to achieve that goal.

[3] documents how a partner creates a plugin, but it says nothing about how to deploy it. We also need to consider both audiences, the partners supplying a plugin, and the users who want to use them. Both need to know how to deploy a plugin, but [3]'s title is targeted specifically at the partners.

[1] https://access.redhat.com/documentation/en-us/red_hat_openstack_platform/16.0/html/advanced_overcloud_customization/sect-containerized_services#container-image-preparation-parameters
[2] https://access.redhat.com/documentation/en-us/red_hat_openstack_platform/16.0/html/advanced_overcloud_customization/sect-containerized_services#layering-image-preparation-entries
[3] https://access.redhat.com/documentation/en-us/red_hat_openstack_platform/16.0/html/partner_integration/building-certified-container-images

Comment 4 Bertrand 2020-10-01 19:38:33 UTC
Hi Laura,
Is there any update?

Thanks,

Bertrand

Comment 9 Tzach Shefi 2021-02-16 07:53:52 UTC
Hey Laura, 

Theoretically looks good,
can't actually test it at the moment due to lack of hardware. 

One input to make this shine,
while reviewing the doc I was struck with three crucial IMHO questions, 
customers are bound to ponder upon themselves:

1. Is my vendor/storage supported at all?
2. Which RHOSP version would my vendor specific container work with 13 16 17?
3. If choosing the correct container per RHOSP version,
    boils down to updating the tag: XX, a list of tags would help.
    Assuming we really do have containers per all them tags to begin with. 

Goes without saying someone should update containers/list upon future iterations of code/releases.  

To be honest I'm not aware if such a list exists, doc RFE maybe?
Heck even a command to query the container registry would be a start.

Comment 10 Paul Grist 2021-02-16 23:30:55 UTC
Hi Tzach,

Good questions, none of this is kept in the RHOS base documentation because partner support is external and can only be kept up to date by the partners.  So all your questions really fall to our RHOS partner process.

This BZ and doc instructs a RHOS vendor or customer on how to deploy a plugin (this could be storage, could also be a customer or other partner customization).

Here's the rest:

1. Is my vendor/storage supported at all?

https://catalog.redhat.com/software/openstack/search?cs_category=Storage

2. Which RHOSP version would my vendor specific container work with 13 16 17?

https://catalog.redhat.com/software/openstack/search?cs_category=Storage should lead you there 
Vendor install guide is required with OSP-16 CERT, but looking at HP 3par, the vendor container info is lacking, most certs have a KCS or clear pointer to
https://catalog.redhat.com/software/containers/hpe3parcinder/hpe3parcinder16/5edb349d69aea31642b66b7b?container-tabs=overview

3. If choosing the correct container per RHOSP version,
    boils down to updating the tag: XX, a list of tags would help.
    Assuming we really do have containers per all them tags to begin with. 

Each Z stream and/or vendor release results in an update to vendor container (if there is one), and there's 1 per major or minor release - so the latest is the one you always want.


We can move the follow up on #2 or #3 to email, but I wanted to add this reply here to complete the context.

PG

Comment 11 Tzach Shefi 2021-02-17 07:36:48 UTC
John, 

Yes partner support is external agree, and they need to update it fine. 
still you ought inform the reader, IMHO here on RHOS documentation, as to where to go get this info.
Even if just by adding a reference link to the catalog, stating that info on it is vendors owned.

Comment 12 Paul Grist 2021-02-17 14:09:32 UTC
Yes, I think that has been there for a while, I just searched and found it pretty clearly:

https://access.redhat.com/documentation/en-us/red_hat_openstack_platform/16.1/html/storage_guide/ch-cinder#third_party_storage_providers


Note You need to log in before you can comment on or make changes to this bug.